Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class DeleteDBInstanceRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.DeleteDBInstanceRequest

    public class DeleteDBInstanceRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DeleteDBInstance operation`.

The DeleteDBInstance API deletes a previously provisioned RDS instance. A successful response from the web service indicates the request was received correctly. If a final DBSnapshot is requested the status of the RDS instance will be "deleting" until the DBSnapshot is created. DescribeDBInstance is used to monitor the status of this operation. This cannot be canceled or reverted once submitted.

See Also:
  `AmazonRDS.deleteDBInstance(DeleteDBInstanceRequest)`

Constructor Summary
`DeleteDBInstanceRequest()`

Method Summary
`String` | `getDBInstanceIdentifier()` The DB Instance identifier for the DB Instance to be deleted.
`String` | `getFinalDBSnapshotIdentifier()` Determines whether a final DB Snapshot is created before the DB Instance is deleted.
`Boolean` | `getSkipFinalSnapshot()`
`Boolean` | `isSkipFinalSnapshot()`
`void` | `setDBInstanceIdentifier(String dBInstanceIdentifier)` The DB Instance identifier for the DB Instance to be deleted.
`void` | `setFinalDBSnapshotIdentifier(String finalDBSnapshotIdentifier)` Determines whether a final DB Snapshot is created before the DB Instance is deleted.
`void` | `setSkipFinalSnapshot(Boolean skipFinalSnapshot)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteDBInstanceRequest` | `withDBInstanceIdentifier(String dBInstanceIdentifier)` The DB Instance identifier for the DB Instance to be deleted.
`DeleteDBInstanceRequest` | `withFinalDBSnapshotIdentifier(String finalDBSnapshotIdentifier)` Determines whether a final DB Snapshot is created before the DB Instance is deleted.
`DeleteDBInstanceRequest` | `withSkipFinalSnapshot(Boolean skipFinalSnapshot)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteDBInstanceRequest

    public DeleteDBInstanceRequest()

Method Detail

### getDBInstanceIdentifier

    public String getDBInstanceIdentifier()

  The DB Instance identifier for the DB Instance to be deleted. This parameter isn't case sensitive.

  Returns:
    The DB Instance identifier for the DB Instance to be deleted. This parameter isn't case sensitive.

### setDBInstanceIdentifier

    public void setDBInstanceIdentifier(String dBInstanceIdentifier)

  The DB Instance identifier for the DB Instance to be deleted. This parameter isn't case sensitive.

  Parameters:
    `dBInstanceIdentifier` - The DB Instance identifier for the DB Instance to be deleted. This parameter isn't case sensitive.

### withDBInstanceIdentifier

    public DeleteDBInstanceRequest withDBInstanceIdentifier(String dBInstanceIdentifier)

  The DB Instance identifier for the DB Instance to be deleted. This parameter isn't case sensitive.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceIdentifier` - The DB Instance identifier for the DB Instance to be deleted. This parameter isn't case sensitive.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isSkipFinalSnapshot

    public Boolean isSkipFinalSnapshot()

  Returns:

### setSkipFinalSnapshot

    public void setSkipFinalSnapshot(Boolean skipFinalSnapshot)

  Parameters:
    `skipFinalSnapshot` -

### withSkipFinalSnapshot

    public DeleteDBInstanceRequest withSkipFinalSnapshot(Boolean skipFinalSnapshot)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `skipFinalSnapshot` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSkipFinalSnapshot

    public Boolean getSkipFinalSnapshot()

  Returns:

### getFinalDBSnapshotIdentifier

    public String getFinalDBSnapshotIdentifier()

  Determines whether a final DB Snapshot is created before the DB Instance is deleted. If true, no DBSnapshot is created. If false, a DB Snapshot is created before the DB Instance is deleted.

  Returns:
    Determines whether a final DB Snapshot is created before the DB Instance is deleted. If true, no DBSnapshot is created. If false, a DB Snapshot is created before the DB Instance is deleted.

### setFinalDBSnapshotIdentifier

    public void setFinalDBSnapshotIdentifier(String finalDBSnapshotIdentifier)

  Determines whether a final DB Snapshot is created before the DB Instance is deleted. If true, no DBSnapshot is created. If false, a DB Snapshot is created before the DB Instance is deleted.

  Parameters:
    `finalDBSnapshotIdentifier` - Determines whether a final DB Snapshot is created before the DB Instance is deleted. If true, no DBSnapshot is created. If false, a DB Snapshot is created before the DB Instance is deleted.

### withFinalDBSnapshotIdentifier

    public DeleteDBInstanceRequest withFinalDBSnapshotIdentifier(String finalDBSnapshotIdentifier)

  Determines whether a final DB Snapshot is created before the DB Instance is deleted. If true, no DBSnapshot is created. If false, a DB Snapshot is created before the DB Instance is deleted.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `finalDBSnapshotIdentifier` - Determines whether a final DB Snapshot is created before the DB Instance is deleted. If true, no DBSnapshot is created. If false, a DB Snapshot is created before the DB Instance is deleted.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.